org.apache.olingo.odata2.api.processor.part

## Interface EntityLinkProcessor

- All Superinterfaces:
    ODataProcessor
  All Known Implementing Classes:
    CustomODataJPAProcessor, ListsProcessor, ODataJPADefaultProcessor, ODataJPAProcessor, ODataSingleProcessor

      public interface EntityLinkProcessor
      extends ODataProcessor

  Execute an OData entity link request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `deleteEntityLink(DeleteUriInfo uriInfo, String contentType)` Deletes the link to the target entity of a navigation property.
    `ODataResponse` | `existsEntityLink(GetEntityLinkCountUriInfo uriInfo, String contentType)` Returns whether the target entity of a navigation property exists.
    `ODataResponse` | `readEntityLink(GetEntityLinkUriInfo uriInfo, String contentType)` Reads the URI of the target entity of a navigation property.
    `ODataResponse` | `updateEntityLink(PutMergePatchUriInfo uriInfo, InputStream content, String requestContentType, String contentType)` Updates the link to the target entity of a navigation property.

    - ### Methods inherited from interface org.apache.olingo.odata2.api.processor.ODataProcessor

      `getContext, setContext`

- - ### Method Detail

    - #### readEntityLink

          ODataResponse readEntityLink(GetEntityLinkUriInfo uriInfo,
                                       String contentType)
                                throws ODataException

      Reads the URI of the target entity of a navigation property.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### existsEntityLink

          ODataResponse existsEntityLink(GetEntityLinkCountUriInfo uriInfo,
                                         String contentType)
                                  throws ODataException

      Returns whether the target entity of a navigation property exists.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### updateEntityLink

          ODataResponse updateEntityLink(PutMergePatchUriInfo uriInfo,
                                         InputStream content,
                                         String requestContentType,
                                         String contentType)
                                  throws ODataException

      Updates the link to the target entity of a navigation property.
      Parameters:
        `uriInfo` - information about the request URI
        `content` - the content of the request, containing the new URI
        `requestContentType` - the content type of the request body
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### deleteEntityLink

          ODataResponse deleteEntityLink(DeleteUriInfo uriInfo,
                                         String contentType)
                                  throws ODataException

      Deletes the link to the target entity of a navigation property.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.